.header {
  position: fixed;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  padding: 0 10px;
  top: 0;
  left: 0;
  width: 100%;
  height: 50px;
  background-color: #ffe5cc;
  color: #FFF;
  z-index: 100;
}

.header .drawer-open {
  font-size: 48px;
  cursor: pointer;
}

.header__title {
  padding-left: 50px;
  font-size: 18px;
  font-weight: bold;
}

body {
  padding-top: 50px;
  margin: 0;
  background: #f2f2f2;
}

main {
  max-width: 1280px;
  margin: 0 auto;
  padding-top: 30px;
}

.drawer {
  position: fixed;
  top: 0;
  left: -100%;
  width: 300px;
  height: calc(var(--vh, 1vh) * 100);
  transition: left 300ms;
  z-index: 101;
  background-color: #ffffff;
}

.drawer__header {
  text-align: left;
  padding: 10px 20px;
}

.drawer__scroll {
  overflow-y: scroll;
  width: 300px;
  height: calc((var(--vh, 1vh) * 100) - 70px );
}

.drawer__close {
  width: -webkit-max-content;
  width: -moz-max-content;
  width: max-content;
  text-align: center;
  cursor: pointer;
}

.drawer__close > * {
  display: block;
}

.drawer__close > i {
  font-size: 40px;
  font-weight: 600;
}

.drawer__close > span {
  font-size: 12px;
  font-weight: 600;
  margin-top: -5px;
}

.drawer__group {
  border-bottom: 1px solid #AAA;
  padding: 10px 0px;
}

.drawer__group--home i.material-icons {
  color: #3c3c3c;
}

.drawer__group--menu i.material-icons {
  color: #ff5050;
}

.drawer__group--sell i.material-icons {
  color: #ffa200;
}

.drawer__group--user i.material-icons {
  color: #6302b5;
}

.drawer__group--time i.material-icons {
  color: #2496cc;
}

.drawer__group--image i.material-icons {
  color: #ff5b5b;
}

.drawer__group--shop i.material-icons {
  color: #ff6b9e;
}

.drawer__group--news i.material-icons {
  color: #00bfac;
}

.drawer__group--download i.material-icons {
  color: #333;
}

.drawer__group--settings i.material-icons {
  color: #AAA;
}

.drawer__group:last-of-type {
  border: none;
}

.drawer__menu {
  padding: 6px 15px;
  cursor: pointer;
}

.drawer__menu > * {
  vertical-align: middle;
}

.drawer__link {
  color: inherit;
  text-decoration: none;
}

.drawer .logout-form button {
  width: auto;
  outline: none;
  background-color: inherit;
  border: none;
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  text-align: left;
  padding: 0;
  font-size: inherit;
  font-weight: inherit;
  cursor: pointer;
}

.layer {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: calc(var(--vh, 1vh) * 100);
  opacity: 0;
  visibility: hidden;
  background-color: #3c3c3c;
  z-index: 100;
}

.form-check-input.invalid,
.form-control.invalid {
  background-color: #ffffff;
  box-shadow: 0 0 5px 0 #dc3545;
  border-color: #dc3545;
  outline: 0;
}

.form-control {
  width: calc(100% - 2 * (16px + 0px) - 2px);
  margin: 0 0px;
  padding: 10px 16px;
  border-style: solid;
  border-width: 1px;
  border-color: #D7DAE2;
  border-radius: 5px;
}

.form-control:focus {
  background-color: #FFFBE8;
  box-shadow: 0 0 5px 0 #07dbb8;
  border-color: #07dbb8;
  outline: 0;
}

.form-control::-moz-placeholder {
  color: #BFC1CD;
}

.form-control:-ms-input-placeholder {
  color: #BFC1CD;
}

.form-control::placeholder {
  color: #BFC1CD;
}

.form-control:-webkit-autofill {
  box-shadow: 0 0 0px 1000px #ffffff inset;
  -webkit-box-shadow: 0 0 0px 1000px #ffffff inset;
}

select.form-control {
  width: calc(100% - 8px);
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background-color: #fff;
}

select.form-control::-ms-expand {
  display: none;
}

.form-select-wrap {
  position: relative;
  width: -webkit-max-content;
  width: -moz-max-content;
  width: max-content;
  z-index: 1;
}

.form-select-wrap::after {
  content: "arrow_drop_down";
  height: 30px;
  line-height: 30px;
  height: 30px;
  line-height: 30px;
  font-size: 16px;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: 18px;
  font-family: "Material Icons";
  font-weight: 900;
  pointer-events: none;
}

.form-select-wrap--inline {
  display: inline-block;
}

textarea.form-control {
  resize: none;
}

.spinner {
  margin: 60px auto;
  position: relative;
  border-top: 5px solid transparent;
  border-right: 5px solid transparent;
  border-bottom: 5px solid transparent;
  border-left: 5px solid #555;
  transform: translateZ(0);
  -webkit-animation: load 1.1s infinite linear;
  animation: load 1.1s infinite linear;
}

.spinner,
.spinner:after {
  border-radius: 50%;
  width: 50px;
  height: 50px;
}

@-webkit-keyframes load {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

@keyframes load {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

.the-login-form {
  display: flex;
  flex-direction: column;
  height: 460px;
  width: 730px;
  align-items: center;
  justify-content: center;
  margin-top: calc(-15vh / 2);
  border-radius: 1rem;
  border: 3px solid #f0f0f0;
  margin: auto;
}

.the-login-form__title {
  margin-bottom: 30px;
  font-size: 2.2rem;
  font-weight: 600;
}

.the-login-form__input {
  display: flex;
  flex-direction: row;
  width: 500px;
  height: 50px;
  margin-bottom: 10px;
}

.the-login-form__input__label {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 120px;
  height: 100%;
  font-size: 1rem;
  font-weight: 600;
  background-color: #eeeeee;
  border-color: gainsboro;
  border-radius: 0.5rem 0 0 0.5rem;
  border-width: 1px;
  border-right: 0px;
  border-style: solid;
  box-sizing: border-box;
}

.the-login-form__input__content {
  flex-grow: 1;
  height: 100%;
  font-size: 1.1rem;
}

.the-login-form__input input[type=text],
.the-login-form__input input[type=password] {
  padding-left: 1rem;
  font-size: 1rem;
  box-sizing: border-box;
  background-color: white;
  border-color: gainsboro;
  border-radius: 0 0.5rem 0.5rem 0;
  border-width: 1px;
  border-style: solid;
  outline: none;
}

.the-login-form__input input[type=text]:focus,
.the-login-form__input input[type=password]:focus {
  border-color: #009f47;
}

.the-login-form__input input[type=text]:invalid,
.the-login-form__input input[type=password]:invalid {
  border: solid 1px red;
}

.the-login-form__remember {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 20px;
  margin-bottom: 40px;
}

.the-login-form__remember input[type=checkbox] {
  transform: scale(1.8);
  margin: 0 12px 0 0;
}

.the-login-form__button {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 500px;
  height: 60px;
  color: #ffffff;
  background-color: #009f47;
  border-radius: 0.5rem;
  border: 0px;
  font-size: 1.3rem;
  font-weight: 600;
}

